﻿//DESCRIPTION:Select the last frame in a text thread

// Modified 2023-10-04
// Keith Gilbert, Gilbert Consulting
// www.gilbertconsulting.com

Pre();
  
function Pre () { 
	// Check to make sure at least 1 ID file is open
	if (!app.documents.length) { 
		alert("No InDesign documents are open. Please open a document and try again.");
		return;
	} 
	if (app.selection.length != 1) { 
		alert("Please select a single text frame and try again.");
		return;
	}
	if (app.selection[0].constructor.name != "TextFrame") { 
		alert("Please select a single text frame and try again.");
		return;
	}
	Main();
}  
function Main() {
	var myDoc = app.activeDocument;
	var myStory = myDoc.selection[0].parentStory;
	var myFrame = myStory.textContainers[myStory.textContainers.length-1];
	myFrame.select();
}	